<template>
  <div class="game panel">
    <div class="name"> {{ game.gamename }} </div>
    <div class="btns">
      <button id="playbtn" class="green" @click="$emit('play', game._id)">
        Play
      </button>
      <button
        id="deletebtn"
        class="red"
        title="Delete the game"
        @click="$emit('delete', game._id)"
      >
        X
      </button>
    </div>
  </div>
</template>

<script lang="ts">
/**
 * @licence
 * Copyright 2022-2022 - RPG of the Apocalypse
 * Licensed under MIT or any later version
 * Refer to the LICENSE file included.
 */

import { Component, Vue, Prop } from "vue-property-decorator";
import { Game } from "../../../services/backends/games";

@Component
export default class GameItem extends Vue {
  @Prop() game!: Game;
}
</script>

<style scoped>
.game {
  display: flex;
  justify-content: space-between;
  padding: 10px;
  margin: 10px;
}
.game .name{
  width: 70%;
  overflow-wrap: break-word;
}
.game .btns {
  display: flex;
  gap: 10px;
}
.game #playbtn {
  width: 90px;
}
</style>
